org.jboss.resteasy.plugins.cache.server

## Class SimpleServerCache

- java.lang.Object
- - org.jboss.resteasy.plugins.cache.server.SimpleServerCache

- All Implemented Interfaces:
    ServerCache

  Deprecated.

      @Deprecated
      public class SimpleServerCache
      extends Object
      implements ServerCache

  An HTTP cache that behaves somewhat the same way as a proxy (like Squid)
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimpleServerCache.CacheEntry` Deprecated.

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.plugins.cache.server.ServerCache

      `ServerCache.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleServerCache()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerCache.Entry` | `add(String uri, MediaType mediaType, CacheControl cc, MultivaluedMap<String,Object> headers, byte[] entity, String etag)` Deprecated.
    `void` | `clear()` Deprecated.
    `ServerCache.Entry` | `get(String uri, MediaType accept)` Deprecated.
    `void` | `remove(String key)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleServerCache

          public SimpleServerCache()

      Deprecated.

  - ### Method Detail

    - #### get

          public ServerCache.Entry get(String uri,
                              MediaType accept)

      Deprecated.
      Specified by:
        `get` in interface `ServerCache`

    - #### add

          public ServerCache.Entry add(String uri,
                              MediaType mediaType,
                              CacheControl cc,
                              MultivaluedMap<String,Object> headers,
                              byte[] entity,
                              String etag)

      Deprecated.
      Specified by:
        `add` in interface `ServerCache`

    - #### remove

          public void remove(String key)

      Deprecated.
      Specified by:
        `remove` in interface `ServerCache`

    - #### clear

          public void clear()

      Deprecated.
      Specified by:
        `clear` in interface `ServerCache`

Copyright © 2014. All Rights Reserved.